Ubuntu Kylin技术论坛

 找回密码
查看: 1100|回复: 3

安装jdk,报错cannot execute binary file: 可执行文件格式错误

[复制链接]
  • TA的每日心情
    郁闷
    2019-6-4 21:13
  • 签到天数: 1 天

    [LV.1]初来乍到

    发表于 2019-6-3 17:23:40 | 显示全部楼层 |阅读模式
    1、执行命令查看系统是64位的# getconf LONG_BIT
    64


    2、安装的是jdk1.7版本,64位的
    # file /opt/jdk1.7/bin/java
    /opt/jdk1.7/bin/java: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.9, not stripped


    3、执行命令 java -version
    # java -version
    bash: /opt/jdk1.7/bin/java: cannot execute binary file: 可执行文件格式错误


    尝试解决:
    1、换jdk1.7的32位版本,报一样的错
    2、换jdk1.6的64位版本,报一样的错


    请各位帮忙解决下,实在是不知道怎么办了!

    回复

    使用道具 举报

  • TA的每日心情
    无聊
    4 小时前
  • 签到天数: 227 天

    [LV.7]常住居民III

    发表于 2019-6-9 17:05:42 | 显示全部楼层
    这个问题好熟悉,我应该在群里帮你解决了吧,你的主机是arm64的
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    郁闷
    2019-6-4 21:13
  • 签到天数: 1 天

    [LV.1]初来乍到

     楼主| 发表于 2019-6-12 16:49:53 | 显示全部楼层
    熟悉的陌生人 发表于 2019-6-9 17:05
    这个问题好熟悉,我应该在群里帮你解决了吧,你的主机是arm64的

    你好,请问怎么解决的,我刚用这个系统,不熟悉,主机是arm64的,安装openjdk可以,但需要使用sunjdk就不行
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    无聊
    4 小时前
  • 签到天数: 227 天

    [LV.7]常住居民III

    发表于 2019-6-18 10:43:11 | 显示全部楼层
    雨儿 发表于 2019-6-12 16:49
    你好,请问怎么解决的,我刚用这个系统,不熟悉,主机是arm64的,安装openjdk可以,但需要使用sunjdk就不 ...

    下载对应的jdk,用arm64的不要用x86的就行
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    小黑屋|手机版|Archiver|Ubuntu Kylin    

    GMT+8, 2019-12-10 15:10 , Processed in 0.016529 second(s), 7 queries , File On.

    Copyright ©2013-2019 Ubuntu Kylin. All Rights Reserved .

    ICP No. 15002470-2 Tianjin

    快速回复 返回顶部 返回列表